from manta.color_theme.catppucin.catppuccin_theme_ABC import CatppuccinThemeABC


class CatppuccinMochaTheme(CatppuccinThemeABC):
    """
    CatppuccinMochaTheme defines colors for the Catppuccin Mocha colorscheme as defined in
    https://github.com/catppuccin/catppuccin

    This Theme is the default for manta slide templates.
    """
    # ThemeABC
    background_color: str = "#1e1e2e"
    background_color_bright: str = "#313244"

    surface_color: str = "#313244"
    outline_color: str = "#6c7086"

    font_color: str = "#cdd6f4"
    font_color_secondary: str = "#bac2de"

    black: str = "#45475a"
    black_bright: str = "#45475a"

    red: str = "#f38ba8"
    red_bright: str = "#f38ba8"

    green: str = "#a6e3a1"
    green_bright: str = "#a6e3a1"

    yellow: str = "#f9e2af"
    yellow_bright: str = "#f9e2af"

    blue: str = "#89b4fa"
    blue_bright: str = "#89b4fa"

    magenta: str = "#f5c2e7"
    magenta_bright: str = "#f5c2e7"

    cyan: str = "#94e2d5"
    cyan_bright: str = "#94e2d5"

    white: str = "#bac2de"
    white_bright: str = "#bac2de"

    # CatppuccinThemeABC
    rosewater: str = "#f5e0dc"
    flamingo: str = "#f2cdcd"
    pink: str = "#f5c2e7"
    mauve: str = "#cba6f7"
    maroon: str = "#eba0ac"
    peach: str = "#fab387"
    teal: str = "#94e2d5"
    sky: str = "#89dceb"
    sapphire: str = "#74c7ec"
    lavender: str = "#b4befe"
    text: str = "#cdd6f4"
    subtext1: str = "#bac2de"
    subtext0: str = "#a6adc8"
    overlay2: str = "#9399b2"
    overlay1: str = "#7f849c"
    overlay0: str = "#6c7086"
    surface2: str = "#585b70"
    surface1: str = "#45475a"
    surface0: str = "#313244"
    base: str = "#1e1e2e"
    mantle: str = "#181825"
    crust: str = "#11111b"