from manta.color_theme.color_theme_ABC import ColorThemeABC


class RwthTheme(ColorThemeABC):
    """
    The RwthTheme defines the color scheme of the RWTH Aachen University.

    It defines additional color colors and color shades.
    """
    background_color: str = "#FFFFFF"
    background_color_bright: str = "#ECEDED"

    surface_color: str = "#ECEDED"
    outline_color: str = "#646567"

    font_color: str = "#000000"
    font_color_secondary: str = "#646567"

    black: str = "#000000"
    black_bright: str = "#646567"

    red: str = "#CC071E"
    red_bright: str = "#D85C41"

    green: str = "#57AB27"
    green_bright: str = "#8DC060"

    yellow: str = "#FFED00"
    yellow_bright: str = "#FFF055"

    blue: str = "#00549F"
    blue_bright: str = "#407FB7"

    magenta: str = "#E30066"
    magenta_bright: str = "#E96088"

    cyan: str = "#0098A1"
    cyan_bright: str = "#00B1B7"

    white: str = "#FFFFFF"
    white_bright: str = "#FFFFFF"

    rwth_blau_100: str = "#00549F"
    rwth_blau_75: str = "#407FB7"
    rwth_blau_50: str = "#8EBAE5"
    rwth_blau_25: str = "#C7DDF2"
    rwth_blau_10: str = "#E8F1FA"

    rwth_schwarz_100: str = "#000000"
    rwth_schwarz_75: str = "#646567"
    rwth_schwarz_50: str = "#9C9E9F"
    rwth_schwarz_25: str = "#CFD1D2"
    rwth_schwarz_10: str = "#ECEDED"

    rwth_magenta_100: str = "#E30066"
    rwth_magenta_75: str = "#E96088"
    rwth_magenta_50: str = "#F19EB1"
    rwth_magenta_25: str = "#F9D2DA"
    rwth_magenta_10: str = "#FDEEF0"

    rwth_gelb_100: str = "#FFED00"
    rwth_gelb_75: str = "#FFF055"
    rwth_gelb_50: str = "#FFF59B"
    rwth_gelb_25: str = "#FFFAD1"
    rwth_gelb_10: str = "#FFFDEE"

    rwth_petrol_100: str = "#006165"
    rwth_petrol_75: str = "#2D7F83"
    rwth_petrol_50: str = "#7DA4A7"
    rwth_petrol_25: str = "#BFD0D1"
    rwth_petrol_10: str = "#E6ECEC"

    rwth_tuerkis_100: str = "#0098A1"
    rwth_tuerkis_75: str = "#00B1B7"
    rwth_tuerkis_50: str = "#89CCCF"
    rwth_tuerkis_25: str = "#CAE7E7"
    rwth_tuerkis_10: str = "#EBF6F6"

    rwth_gruen_100: str = "#57AB27"
    rwth_gruen_75: str = "#8DC060"
    rwth_gruen_50: str = "#B8D698"
    rwth_gruen_25: str = "#DDEBCE"
    rwth_gruen_10: str = "#F2F7EC"

    rwth_maigruen_100: str = "#BDCD00"
    rwth_maigruen_75: str = "#D0D95C"
    rwth_maigruen_50: str = "#E0E69A"
    rwth_maigruen_25: str = "#F0F3D0"
    rwth_maigruen_10: str = "#F9FAED"

    rwth_orange_100: str = "#F6A800"
    rwth_orange_75: str = "#FABE50"
    rwth_orange_50: str = "#FDD48F"
    rwth_orange_25: str = "#FEEAC9"
    rwth_orange_10: str = "#FFF7EA"

    rwth_rot_100: str = "#CC071E"
    rwth_rot_75: str = "#D85C41"
    rwth_rot_50: str = "#E69679"
    rwth_rot_25: str = "#F3CDBB"
    rwth_rot_10: str = "#FAEBE3"

    rwth_bordeaux_100: str = "#A11035"
    rwth_bordeaux_75: str = "#B65256"
    rwth_bordeaux_50: str = "#CD8B87"
    rwth_bordeaux_25: str = "#E5C5C0"
    rwth_bordeaux_10: str = "#F5E8E5"

    rwth_violett_100: str = "#612158"
    rwth_violett_75: str = "#834E75"
    rwth_violett_50: str = "#A8859E"
    rwth_violett_25: str = "#D2C0CD"
    rwth_violett_10: str = "#EDE5EA"

    rwth_lila_100: str = "#7A6FAC"
    rwth_lila_75: str = "#9B91C1"
    rwth_lila_50: str = "#BCB5D7"
    rwth_lila_25: str = "#DEDAEB"
    rwth_lila_10: str = "#F2F0F7"